/**
 * EntityNamePartQualifier2.java
 *
 * File generated from the medication2::EntityNamePartQualifier2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityNamePartQualifier2.
 *
 * 
 */

@XmlType(name = "EntityNamePartQualifier")
@XmlEnum
@XmlRootElement(name = "EntityNamePartQualifier2")
public enum EntityNamePartQualifier2 {
	@XmlEnumValue("LS")
	LS("LS"),
	@XmlEnumValue("IN")
	IN("IN"),
	@XmlEnumValue("TITLE")
	TITLE("TITLE"),
	@XmlEnumValue("AC")
	AC("AC"),
	@XmlEnumValue("NB")
	NB("NB"),
	@XmlEnumValue("PR")
	PR("PR"),
	@XmlEnumValue("VV")
	VV("VV"),
	@XmlEnumValue("AD")
	AD2("AD"),
	@XmlEnumValue("BR")
	BR("BR"),
	@XmlEnumValue("SP")
	SP("SP"),
	@XmlEnumValue("CL")
	CL("CL");
	
	private final String value;

    EntityNamePartQualifier2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityNamePartQualifier2 fromValue(String v) {
        for (EntityNamePartQualifier2 c: EntityNamePartQualifier2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
